Subject: ppc32 PIO recovery mecanism

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 06 Nov 2006 11:41:34 +1100

On 32 bits powerpc, we currently have a mechanism where we try to
recover from machine checks happening on PIO operations (inb/outb/....).
This mecanisms has proven of dubious reliability in the past and it's my
understanding that we've pretty fixed all relevant legacy drivers that
distro typically load so that they don't muck around when they
shouldn't.

I'm currently merging 32 and 64 bits io.h and I would really like to
just get rid of that stuff, but I'd like your distro point of view
first. Is this mechanism still useful at all or not ?

Cheers,
Ben.